Package org.zkoss.stateless.sul

## Interface INavbar

- All Superinterfaces:
    `IAnyGroup<INavbar>`, `IChildable<INavbar,​IChildrenOfNavbar>`, `IComponent<INavbar>`, `IHtmlBasedComponent<INavbar>`, `IXulElement<INavbar>`

      public interface INavbar
      extends IXulElement<INavbar>, IAnyGroup<INavbar>, IChildable<INavbar,​IChildrenOfNavbar>

  Immutable `Navbar` component

  A container that usually contains nav elements.

  ### Support @Action

  Name | Action Type
  --- | ---
  onSelect | ActionData: `SelectData` Notifies one that the user has selected a navitem in the navbar.

  Author:
    katherine
  See Also:
    `Navbar`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `INavbar.Builder` | Builds instances of type `INavbar`.
    `static class` | `INavbar.Orient` | Specifies the orient with `withOrient(Orient)`
    `static class` | `INavbar.Updater` | Builds an updater of type `INavbar` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static INavbar` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getOrient()` | Returns the orient.
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `default boolean` | `isAutoclose()` | Returns whether to automatically close all other nav/navitem on opening nav/navitem.
    `default boolean` | `isCollapsed()` | Returns whether it is collapsed.
    `static INavbar` | `of​(java.lang.Iterable<? extends IChildrenOfNavbar> children)` | Returns the instance with the given `IChildrenOfNavbar` children.
    `static INavbar` | `of​(IChildrenOfNavbar... children)` | Returns the instance with the given `IChildrenOfNavbar` children.
    `static INavbar` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `INavbar` | `withAutoclose​(boolean autoclose)` | Returns a copy of `this` immutable component with the specified `autoclose`.
    `INavbar` | `withCollapsed​(boolean collapsed)` | Returns a copy of `this` immutable component with the specified `collapsed`.
    `INavbar` | `withOrient​(java.lang.String orient)` | Returns a copy of `this` immutable component with the specified `orient`.
    `default INavbar` | `withOrient​(INavbar.Orient orient)` | Returns a copy of `this` immutable component with the specified `orient`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IChildable

      `getChildren, withChildren, withChildren`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final INavbar DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zkmax.nav.Navbar"`

      Specified by:
        `getWidgetClass` in interface `IComponent<INavbar>`

    - #### getOrient

          default java.lang.String getOrient()

      Returns the orient.

      Default: `"horizontal"`.

    - #### withOrient

          INavbar withOrient​(java.lang.String orient)

      Returns a copy of `this` immutable component with the specified `orient`.

      Sets the orient.

      Parameters:
        `orient` - Either `"horizontal"` or `"vertical"`

        Default: `"horizontal"`.

      Returns:
        A modified copy of the `this` object

    - #### withOrient

          default INavbar withOrient​(INavbar.Orient orient)

      Returns a copy of `this` immutable component with the specified `orient`.

      Sets the orient.

      Parameters:
        `orient` - Either `"horizontal"` or `"vertical"`

        Default: `"horizontal"`.

      Returns:
        A modified copy of the `this` object

    - #### isCollapsed

          default boolean isCollapsed()

      Returns whether it is collapsed. Default: `false`.

    - #### withCollapsed

          INavbar withCollapsed​(boolean collapsed)

      Returns a copy of `this` immutable component with the specified `collapsed`.

      Sets whether to collapse it.

      Parameters:
        `collapsed` - Whether to collapse it.

        Default: `false`.

      Returns:
        A modified copy of the `this` object

    - #### isAutoclose

          default boolean isAutoclose()

      Returns whether to automatically close all other nav/navitem on opening nav/navitem.

      Default: `true`.

    - #### withAutoclose

          INavbar withAutoclose​(boolean autoclose)

      Returns a copy of `this` immutable component with the specified `autoclose`.

      Sets whether to automatically close all other nav/navitem on opening nav/navitem.

      Parameters:
        `autoclose` - Whether to automatically close all other nav/navitem on opening nav/navitem.

        Default: `true`.

      Returns:
        A modified copy of the `this` object

    - #### of

          static INavbar of​(java.lang.Iterable<? extends IChildrenOfNavbar> children)

      Returns the instance with the given `IChildrenOfNavbar` children.
      Parameters:
        `children` - The children of `IChildrenOfNavbar`

    - #### of

          static INavbar of​(IChildrenOfNavbar... children)

      Returns the instance with the given `IChildrenOfNavbar` children.
      Parameters:
        `children` - The children of `IChildrenOfNavbar`

    - #### ofId

          static INavbar ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component